<?php
ob_start();
clearstatcache();
require_once "connect.php";
require_once 'parametros.php';


if(isset($_GET['nr_comanda'])){
    $nr_comanda = $_GET['nr_comanda'];
}

if(!isset($_SESSION['vl_perc_garcom'])){
    $parametros = parametros_getByNome('vl_perc_garcom');
    
    if($parametros !== false){
        $_SESSION['vl_perc_garcom'] = base64_encode($parametros['ds_valor']);
    }else{
      $parametros = parametros_create();
      $parametros['ds_parametro'] = 'vl_perc_garcom';
      $parametros['ds_valor'] =  '0';
      parametros_insert($parametros);
      $_SESSION['vl_perc_garcom'] = base64_encode("0");
    }
    
}
 $vl_perc_garcom =  base64_decode($_SESSION['vl_perc_garcom']);

//$url = 'http://'.$_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; //'http://'.$_SERVER['HTTP_HOST']
$url = 'http://'.$_SERVER['HTTP_HOST'] . '/comanda/erpc_comanda_selecionar.php';
?> 
<!DOCTYPE html> 
<html> 
<head> 
	<meta charset="UTF-8">
	<title>ERPC Code</title> 
	<meta name="viewport" content="width=device-width, initial-scale=1"> 
	<link rel="stylesheet" href="jquery.mobile.structure-1.0.1.css" />
	<link rel="apple-touch-icon" href="images/launch_icon_57.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/launch_icon_72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/launch_icon_114.png" />
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

	<link rel="stylesheet" href="custom.css" />

    <link rel="stylesheet" href="jquery.mobile-1.0.1.css" />

	<script src="js/jquery-1.7.1.min.js"></script>
	<script src="js/jquery.mobile-1.0.1.min.js"></script>
    <script src="js/comanda_nav.js"></script>
	
  <!--<script src="js/comanda.js"></script>-->
</head>


<body> 
 
<div id="choisir_restau" data-role="page">

	<div data-role="header">
		<button type="button" onclick="location.href='<?php echo $url; ?>';" id="voltar" >Voltar</button>
	</div> 
	<div data-role="content">	
    	<div class="choice_list"> 
            	<!--<h1>Selecione a quantidade</h1>-->
              <ul data-role="listview" data-inset="true" >
                <table class="table table-bordered table-striped table-responsible sortable">
                    <thead>
                      <tr>
                        <th hidden width=0%></th>
            			<th width=30%>Produto</th>
            			<th width=10%>Qtd.</th>
            			<th width=30%>Vl Unit.</th>
            			<th width=20%>Vl Total</th>
                        <th width=05%>Ação</th>
                      </tr>
                    </thead>
                    
                  
              <?php 
            // Método para post de Query Avançada
            	$sql_list = "SELECT 	c.id    id_comanda
            	                        ,c.qt_pedido as quantidade
                                		,p.ds_produto as produto
                                		,FORMAT(c.vl_unitario, 2) as valor
                                
                                FROM 	erpc_comanda c 
                                		INNER JOIN erpc_produtos p
                                			on c.id_produto = p.id 
                                WHERE 
                                		nr_comanda = '$nr_comanda'
                                        and st_comanda = 1;";
              
                        $vl_total = 0.00;
            			$resultado = mysqli_query($conexao, $sql_list) or die ($erro = mysqli_error($conexao));
            			if (mysqli_num_rows($resultado)>0) {
                            while ($registro = mysqli_fetch_assoc($resultado)){
                                
                                $id_comanda = $registro['id_comanda'];
                                $vl_qtd = $registro['quantidade'];
                                $ds_produto = $registro['produto'];
                                $vl_preco = $registro['valor'];
                                $vl_produtos = number_format($vl_qtd * $vl_preco, 2);
                                $vl_total += $vl_produtos;
                                
                                
                                
                                //echo "<h4>Produto: $ds_produto</h4><h4> Quantidade: " . number_format($vl_qtd, 0) . "</h4><h4> Valor Unit: R$$vl_preco</h4><h4> Valor Total: R$$vl_produtos</h4><br>";
                                echo "<tr>";
                                echo "<td hidden>$id_comanda</td>";
                                echo "<td>$ds_produto</td>";
                                echo "<td align='center'>" . number_format($vl_qtd, 0) . "</td>";
                                echo "<td align='center'>$vl_preco</td>";
                                echo "<td align='center'>$vl_produtos</td>";
                                echo "<td align='center'><a href='../erpc_comanda_cancela_ws.php?id_comanda=$id_comanda&nr_comanda=$nr_comanda'><i class='fa fa-trash'></i></td>";
                                echo "</tr>";
                                
                            }
                                echo "</table>";
                            echo "<h3>Total: R$" . number_format($vl_total,2) . "</h3>";
                            
                            if($vl_perc_garcom != 0){
                                echo "<h3>Mesa e Garçom: " . number_format($vl_total * ($vl_perc_garcom/100),2) . "</h3>";
                                $vl_geral = $vl_total + ($vl_total * ($vl_perc_garcom/100));
                                
                                echo "<br><h3>Total da Comanda: R$" . number_format($vl_geral,2) . "</h3>";    
                            }
                            
            			}
              ?> 
        
              </ul>
              
             
    	</div>
	</div>


</div><!-- /page -->

</body>



</html>
